org.jfree.xml.util

## Class PropertyDefinition

- java.lang.Object
- - org.jfree.xml.util.PropertyDefinition

    public class PropertyDefinition
    extends java.lang.Object

A property definition.

### Constructor Summary

Constructors
Constructor and Description
`PropertyDefinition(java.lang.String propertyName, java.lang.String elementName)` Creates a new property definition.

### Method Summary

Methods
`java.lang.String` `getElementName()` Returns the element name.
`java.lang.String` `getPropertyName()` Returns the property name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyDefinition

    public PropertyDefinition(java.lang.String propertyName,
                      java.lang.String elementName)

Creates a new property definition.

Parameters:
  `propertyName` - the property name.
  `elementName` - the element name.

### Method Detail

#### getPropertyName

    public java.lang.String getPropertyName()

Returns the property name.

Returns:
  the property name.

#### getElementName

    public java.lang.String getElementName()

Returns the element name.

Returns:
  the element name.